Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.util
Class OutputConverterPlugIn

    java.lang.Object
      org.joone.util.AbstractConverterPlugIn
          org.joone.util.OutputConverterPlugIn

All Implemented Interfaces:
  java.io.Serializable, PlugInListener

Direct Known Subclasses:
  UnNormalizerOutputPlugIn

    public abstract class OutputConverterPlugIn

extends AbstractConverterPlugIn

Abstract class that must be extended to implement plugins for output data preprocessing. The objects extending this class can be inserted into objects that extend the `StreamOutputSynapse`.

Author:
  Julien Norman
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.joone.util.AbstractConverterPlugIn
`pluginListeners`

Constructor Summary
`OutputConverterPlugIn()` Constructor of CoverterPlugIn.
`OutputConverterPlugIn(java.lang.String anAdvancedSerieSelector)` Constructor of CoverterPlugIn.

Method Summary
`void` | `addOutputPluginListener(OutputPluginListener aListener)` Deprecated. Use `AbstractConverterPlugIn.addPlugInListener(PlugInListener)`
`protected abstract void` | `convert_pattern(int serie)` Applies the preprocessing on the Nth serie of the data.
`void` | `convertAllPatterns()` Deprecated. Use `AbstractConverterPlugIn.convertPatterns()`
`void` | `convertPattern()` Applies the preprocessing on the patterns contained in the conv_patterns
`protected Pattern` | `getPattern()` Gets the pattern that will be converted.
`void` | `removeOutputPluginListener(OutputPluginListener aListener)` Deprecated. Use `AbstractConverterPlugIn.removePlugInListener(PlugInListener)`
`void` | `setPattern(Pattern newPattern)` Sets the current pattern to convert.

Methods inherited from class org.joone.util.AbstractConverterPlugIn
`addPlugIn, addPlugInListener, apply, applyOnColumns, applyOnRows, cascade, check, convert, convertPatterns, dataChanged, fireDataChanged, getAdvancedSerieSelector, getInputVector, getName, getNextPlugIn, getPluginListeners, getSerieIndexNumber, getSerieSelected, getValuePoint, isConnected, removeAllPlugIns, removePlugInListener, setAdvancedSerieSelector, setConnected, setInputVector, setName, setNextPlugin, setNextPlugIn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputConverterPlugIn

    public OutputConverterPlugIn()

  Constructor of CoverterPlugIn.

### OutputConverterPlugIn

    public OutputConverterPlugIn(java.lang.String anAdvancedSerieSelector)

  Constructor of CoverterPlugIn.

  Parameters:
    `anAdvancedSerieSelector` -
  See Also:
    `AbstractConverterPlugIn.AbstractConverterPlugIn(String)`

Method Detail

### convert_pattern

    protected abstract void convert_pattern(int serie)

  Applies the preprocessing on the Nth serie of the data. This method should be implemented in classes that extend this one.

  Parameters:
    `serie` - the serie to be converted

### convertPattern

    public void convertPattern()
                        throws java.lang.NumberFormatException

  Applies the preprocessing on the patterns contained in the conv_patterns

  Throws:
    `java.lang.NumberFormatException`

### convertAllPatterns

    public void convertAllPatterns()
                            throws java.lang.NumberFormatException

  Deprecated. Use `AbstractConverterPlugIn.convertPatterns()`

  Applies the preprocessing on the pattern contained in the conv_pattern

  Throws:
    `java.lang.NumberFormatException`

### getPattern

    protected Pattern getPattern()

  Gets the pattern that will be converted.

  Returns:
    the Pattern to convert when in unbuffered mode

### setPattern

    public void setPattern(Pattern newPattern)

  Sets the current pattern to convert.

  Parameters:
    `newPattern` - The pattern that should be converted by this plugin.

### addOutputPluginListener

    public void addOutputPluginListener(OutputPluginListener aListener)

  Deprecated. Use `AbstractConverterPlugIn.addPlugInListener(PlugInListener)`

### removeOutputPluginListener

    public void removeOutputPluginListener(OutputPluginListener aListener)

  Deprecated. Use `AbstractConverterPlugIn.removePlugInListener(PlugInListener)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net